// CocoBomb.H

#ifndef _CocoBomb_H_
#define _CocoBomb_H_

#include "Mover.H"
#include "Animated.H"

namespace CS148 {

class AliBaba;
class Ground;


class CocoBomb : public Mover
{
public:
  CocoBomb ( AliBaba* app, Ground* ground );
  ~CocoBomb ();

  void render ( Viewport* vp );
  void move ( Real interval );

private:

  bool hitGround ();
  void explode ();

  AliBaba* app;
  Ground* ground;
  static DisplayList* dlist;
};


} // namespace CS148


#endif /* _CocoBomb_H_ */

