// Explosion.H

#ifndef _Explosion_H_
#define _Explosion_H_

#include "GlutApp.H"
#include "Animated.H"

namespace CS148 {

class AliBaba;


class Explosion : public PosObj, public Animated
{
public:
  Explosion ( AliBaba* app, const Vec3& pos );
  ~Explosion ();

  void buildFrames ();
  void render ( Viewport* vp );

private:

  void endAnimSequence ();

  AliBaba* app;
};


} // namespace CS148


#endif /* _Explosion_H_ */

