// Radar.H

#ifndef _Radar_H_
#define _Radar_H_

#include "GlutApp.H"


namespace CS148 {

class Carpet;
class Rider;


class Radar : public Viewport
{
public:
  Radar ( int x, int y, int w, int h,
	  Carpet* carpet, vector<Rider*>& riders )
    : Viewport( x, y, w, h ), carpet(carpet), riders(riders), disk(0)
  {
    setOrtho ( -1, 1, -1, 1 );
    
  }

  ~Radar () {}

  void render ();

private:

  Carpet* carpet;
  vector<Rider*>& riders;
  GLUquadricObj* disk;
};


} // namespace CS148

#endif /* _Radar_H_ */
