// Camera.H

#ifndef _Camera_H_
#define _Camera_H_

#include "GlutApp.H"

namespace CS148 {

class Carpet;


class Camera : public Viewport
{
public:
  Camera ( Carpet* carpet, bool slowMode );
  ~Camera ();

  void followCarpet ();
  void render ();

private:

  bool slowMode;
  Carpet* carpet;
  DisplayList* fogPlane;
};




} // namespace CS148


#endif /* _Camera_H_ */

