// Particles.H

#ifndef _Particles_H_
#define _Particles_H_

#include "GlutApp.H"
#include "Mover.H"

namespace CS148 {

class AliBaba;
class Particle;

class Particles : public Mover, public Functor
{
public:
  Particles ( AliBaba* app, const Vec3& pos, const Vec3& velo );
  ~Particles ();

  void func ();
  void move ( Real interval );
  void render ( Viewport* vp );
  
private:

  AliBaba* app;
  vector<Particle*> parts;
  Timer timer;
};


} // namespace CS148


#endif /* _Particles_H_ */

