namespace CS148 {

static void setMaterial_0 ()
{
  static const GLfloat diff[4] = {0.898,0.906,1.000,1.000};
  static const GLfloat amb[4] = { 0.000, 0.000, 0.000, 1.000 };
  static const GLfloat emis[4] = { 0.000, 0.000, 0.000, 1.000 };
  static const GLfloat spec[4] = { 0.000, 0.000, 0.000, 1.000 };
  static const GLfloat shi = 0.000;

  glMaterialfv ( GL_FRONT_AND_BACK, GL_DIFFUSE, diff );
  glMaterialfv ( GL_FRONT_AND_BACK, GL_AMBIENT, amb );
  glMaterialfv ( GL_FRONT_AND_BACK, GL_EMISSION, emis );
  glMaterialfv ( GL_FRONT_AND_BACK, GL_SPECULAR, spec );
  glMaterialf ( GL_FRONT_AND_BACK, GL_SHININESS, shi );
}

static void setMaterial_1 ()
{
  static const GLfloat diff[4] = {1.000,0.000,0.000,1.000};
  static const GLfloat amb[4] = { 0.200, 0.200, 0.200, 1.000 };
  static const GLfloat emis[4] = { 0.000, 0.000, 0.000, 1.000 };
  static const GLfloat spec[4] = { 0.500, 0.500, 0.500, 1.000 };
  static const GLfloat shi = 10.000;

  glMaterialfv ( GL_FRONT_AND_BACK, GL_DIFFUSE, diff );
  glMaterialfv ( GL_FRONT_AND_BACK, GL_AMBIENT, amb );
  glMaterialfv ( GL_FRONT_AND_BACK, GL_EMISSION, emis );
  glMaterialfv ( GL_FRONT_AND_BACK, GL_SPECULAR, spec );
  glMaterialf ( GL_FRONT_AND_BACK, GL_SHININESS, shi );
}

static void setMaterial_2 ()
{
  static const GLfloat diff[4] = {1.000,1.000,0.000,1.000};
  static const GLfloat amb[4] = { 1.000, 0.200, 0.200, 1.000 };
  static const GLfloat emis[4] = { 0.000, 0.000, 0.000, 1.000 };
  static const GLfloat spec[4] = { 0.502, 0.502, 0.502, 1.000 };
  static const GLfloat shi = 10.000;

  glMaterialfv ( GL_FRONT_AND_BACK, GL_DIFFUSE, diff );
  glMaterialfv ( GL_FRONT_AND_BACK, GL_AMBIENT, amb );
  glMaterialfv ( GL_FRONT_AND_BACK, GL_EMISSION, emis );
  glMaterialfv ( GL_FRONT_AND_BACK, GL_SPECULAR, spec );
  glMaterialf ( GL_FRONT_AND_BACK, GL_SHININESS, shi );
}

static void setMaterial_3 ()
{
  static const GLfloat diff[4] = {0.000,1.000,0.000,1.000};
  static const GLfloat amb[4] = { 0.200, 0.200, 0.200, 1.000 };
  static const GLfloat emis[4] = { 0.000, 0.000, 0.000, 1.000 };
  static const GLfloat spec[4] = { 0.500, 0.500, 0.500, 1.000 };
  static const GLfloat shi = 10.000;

  glMaterialfv ( GL_FRONT_AND_BACK, GL_DIFFUSE, diff );
  glMaterialfv ( GL_FRONT_AND_BACK, GL_AMBIENT, amb );
  glMaterialfv ( GL_FRONT_AND_BACK, GL_EMISSION, emis );
  glMaterialfv ( GL_FRONT_AND_BACK, GL_SPECULAR, spec );
  glMaterialf ( GL_FRONT_AND_BACK, GL_SHININESS, shi );
}



class HorseRLLeg : public DisplayBuilder
{
public:
  HorseRLLeg () : DisplayBuilder() {}
  ~HorseRLLeg () {}
  
  void buildDisplayList () {
    glPushMatrix();
    glPolygonMode ( GL_FRONT_AND_BACK, GL_FILL );
  
    glTranslatef ( 0.54947, 0.87358, -0.30893 );
    setMaterial_0();
    glBegin ( GL_POLYGON );
      glTexCoord2f ( 1.00000, 0.70119 );
      glNormal3fv ( Vec3( 1.00000, 0.00000, 0.00000 ) );
      glVertex3fv ( Vec3( 0.00000, 1.02582, -1.65969 ) );
      glTexCoord2f ( 1.00000, 0.04704 );
      glNormal3fv ( Vec3( 1.00000, 0.00000, 0.00000 ) );
      glVertex3fv ( Vec3( 0.00000, 0.95253, -1.38985 ) );
      glTexCoord2f ( 1.00000, 0.09549 );
      glNormal3fv ( Vec3( 1.00000, 0.00000, 0.00000 ) );
      glVertex3fv ( Vec3( 0.00000, -0.33336, -1.40984 ) );
      glTexCoord2f ( 1.00000, 0.48314 );
      glNormal3fv ( Vec3( 1.00000, 0.00000, 0.00000 ) );
      glVertex3fv ( Vec3( 0.00000, -0.32670, -1.56975 ) );
      glTexCoord2f ( 1.00000, 1.00000 );
      glNormal3fv ( Vec3( 1.00000, 0.00000, 0.00000 ) );
      glVertex3fv ( Vec3( 0.00000, 0.97252, -1.78295 ) );
    glEnd();
    glPopMatrix();

  }
};



class HorseRRLeg : public DisplayBuilder
{
public:
  HorseRRLeg () : DisplayBuilder() {}
  ~HorseRRLeg () {}
  
  void buildDisplayList () {
    glPushMatrix();
    glPolygonMode ( GL_FRONT_AND_BACK, GL_FILL );
  
    glTranslatef ( 0.10000, 0.10000, 0.10000 );
    setMaterial_0();
    glBegin ( GL_POLYGON );
      glTexCoord2f ( 0.00000, 0.65415 );
      glNormal3fv ( Vec3( 1.00000, 0.00000, 0.00000 ) );
      glVertex3fv ( Vec3( -0.45671, 1.70700, -2.59134 ) );
      glTexCoord2f ( 0.00000, 0.00000 );
      glNormal3fv ( Vec3( 1.00000, 0.00000, 0.00000 ) );
      glVertex3fv ( Vec3( -0.45671, 1.63371, -2.32150 ) );
      glTexCoord2f ( 0.00000, 0.04846 );
      glNormal3fv ( Vec3( 1.00000, 0.00000, 0.00000 ) );
      glVertex3fv ( Vec3( -0.45671, 0.34782, -2.34149 ) );
      glTexCoord2f ( 0.00000, 0.43610 );
      glNormal3fv ( Vec3( 1.00000, 0.00000, 0.00000 ) );
      glVertex3fv ( Vec3( -0.45671, 0.35448, -2.50139 ) );
      glTexCoord2f ( 0.00000, 0.95296 );
      glNormal3fv ( Vec3( 1.00000, 0.00000, 0.00000 ) );
      glVertex3fv ( Vec3( -0.45671, 1.65370, -2.71460 ) );
    glEnd();
    glPopMatrix();

  }
};



class HorseBody : public DisplayBuilder
{
public:
  HorseBody () : DisplayBuilder() {}
  ~HorseBody () {}
  
  void buildDisplayList () {
    glPushMatrix();
    glPolygonMode ( GL_FRONT_AND_BACK, GL_FILL );
  
    glTranslatef ( -0.00595, 1.65029, -0.00688 );
    setMaterial_2();
    glBegin ( GL_POLYGON );
      glTexCoord2f ( 0.50000, 0.92248 );
      glNormal3fv ( Vec3( -0.99936, 0.01818, 0.03086 ) );
      glVertex3fv ( Vec3( -0.43358, 0.35555, -0.66054 ) );
      glTexCoord2f ( 0.00000, 0.84496 );
      glNormal3fv ( Vec3( -0.99955, 0.02011, 0.02240 ) );
      glVertex3fv ( Vec3( -0.44535, 0.29329, -1.16707 ) );
      glTexCoord2f ( 0.40940, 0.49225 );
      glNormal3fv ( Vec3( -0.99936, 0.01818, 0.03086 ) );
      glVertex3fv ( Vec3( -0.44313, -0.02323, -0.74658 ) );
      glTexCoord2f ( 0.81879, 0.13953 );
      glNormal3fv ( Vec3( -0.99953, 0.01992, 0.02325 ) );
      glVertex3fv ( Vec3( -0.43116, -0.33080, -0.33968 ) );
      glTexCoord2f ( 0.90940, 0.56977 );
      glNormal3fv ( Vec3( -0.99936, 0.01818, 0.03086 ) );
      glVertex3fv ( Vec3( -0.42649, 0.04350, -0.24685 ) );
      glTexCoord2f ( 1.00000, 1.00000 );
      glNormal3fv ( Vec3( -0.99955, 0.02011, 0.02240 ) );
      glVertex3fv ( Vec3( -0.41206, 0.42676, -0.16761 ) );
    glEnd();
    setMaterial_1();
    glBegin ( GL_TRIANGLES );
      glTexCoord2f ( 0.49763, 1.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( -0.00226, 0.68793, 1.19261 ) );
      glTexCoord2f ( 0.00000, 0.85020 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( -0.59404, 0.47250, 1.15029 ) );
      glTexCoord2f ( 0.16588, 0.00405 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( -0.40286, -0.68793, 0.84954 ) );
    
      glTexCoord2f ( 0.16588, 0.00405 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( -0.40286, -0.68793, 0.84954 ) );
      glTexCoord2f ( 0.83412, 0.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.40608, -0.68741, 0.84043 ) );
      glTexCoord2f ( 0.49763, 1.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( -0.00226, 0.68793, 1.19261 ) );
    
      glTexCoord2f ( 0.83412, 0.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.40608, -0.68741, 0.84043 ) );
      glTexCoord2f ( 1.00000, 0.85425 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.59404, 0.48012, 1.14381 ) );
      glTexCoord2f ( 0.49763, 1.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( -0.00226, 0.68793, 1.19261 ) );
    
    glEnd();

    setMaterial_3();
    glBegin ( GL_TRIANGLES );
      glTexCoord2f ( 1.00000, 0.05195 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.59404, 0.48012, 1.14381 ) );
      glTexCoord2f ( 0.68116, 1.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.40549, 0.43533, -0.18317 ) );
      glTexCoord2f ( 0.00000, 1.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( -0.00241, 0.51862, -0.18240 ) );
    
      glTexCoord2f ( 0.00000, 1.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( -0.00241, 0.51862, -0.18240 ) );
      glTexCoord2f ( 0.00000, -0.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( -0.00226, 0.68793, 1.19261 ) );
      glTexCoord2f ( 1.00000, 0.05195 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.59404, 0.48012, 1.14381 ) );
    
      glTexCoord2f ( 0.00000, -0.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( -0.00226, 0.68793, 1.19261 ) );
      glTexCoord2f ( 0.00000, 1.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( -0.00241, 0.51862, -0.18240 ) );
      glTexCoord2f ( 0.68116, 1.00000 );
      glNormal3fv ( Vec3( -0.99955, 0.02011, 0.02240 ) );
      glVertex3fv ( Vec3( -0.41206, 0.42676, -0.16761 ) );
    
      glTexCoord2f ( 0.68116, 1.00000 );
      glNormal3fv ( Vec3( -0.99955, 0.02011, 0.02240 ) );
      glVertex3fv ( Vec3( -0.41206, 0.42676, -0.16761 ) );
      glTexCoord2f ( 1.00000, 0.05195 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( -0.59404, 0.47250, 1.15029 ) );
      glTexCoord2f ( 0.00000, -0.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( -0.00226, 0.68793, 1.19261 ) );
    
      glTexCoord2f ( 1.00000, 0.85000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.48183, 0.33835, -0.91889 ) );
      glTexCoord2f ( 0.00000, 1.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.00039, 0.57734, -1.08667 ) );
      glTexCoord2f ( 0.00000, 0.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( -0.00241, 0.51862, -0.18240 ) );
    
      glTexCoord2f ( 0.00000, 0.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( -0.00241, 0.51862, -0.18240 ) );
      glTexCoord2f ( 0.83929, 0.01000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.40549, 0.43533, -0.18317 ) );
      glTexCoord2f ( 1.00000, 0.85000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.48183, 0.33835, -0.91889 ) );
    
      glTexCoord2f ( 0.00000, 0.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( -0.00241, 0.51862, -0.18240 ) );
      glTexCoord2f ( 0.00000, 1.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.00039, 0.57734, -1.08667 ) );
      glTexCoord2f ( 1.00000, 0.85000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( -0.48195, 0.35207, -0.92506 ) );
    
      glTexCoord2f ( 1.00000, 0.85000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( -0.48195, 0.35207, -0.92506 ) );
      glTexCoord2f ( 0.83929, 0.01000 );
      glNormal3fv ( Vec3( -0.99955, 0.02011, 0.02240 ) );
      glVertex3fv ( Vec3( -0.41206, 0.42676, -0.16761 ) );
      glTexCoord2f ( 0.00000, 0.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( -0.00241, 0.51862, -0.18240 ) );
    
    setMaterial_0();
      glTexCoord2f ( 1.00000, 1.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.59404, 0.48012, 1.14381 ) );
      glTexCoord2f ( 0.79825, 0.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.40608, -0.68741, 0.84043 ) );
      glTexCoord2f ( 0.00000, 0.31609 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.42771, -0.31978, -0.36322 ) );
    
      glTexCoord2f ( 0.00000, 0.31609 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.42771, -0.31978, -0.36322 ) );
      glTexCoord2f ( 0.13158, 0.96552 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.40549, 0.43533, -0.18317 ) );
      glTexCoord2f ( 1.00000, 1.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.59404, 0.48012, 1.14381 ) );
    
      glTexCoord2f ( 0.81879, 0.13953 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.42771, -0.31978, -0.36322 ) );
      glTexCoord2f ( 0.28188, 0.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.42940, -0.42496, -0.90950 ) );
      glTexCoord2f ( 0.00000, 0.84496 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.44627, 0.31214, -1.19261 ) );
    
      glTexCoord2f ( 0.00000, 0.84496 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.44627, 0.31214, -1.19261 ) );
      glTexCoord2f ( 1.00000, 1.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.40549, 0.43533, -0.18317 ) );
      glTexCoord2f ( 0.81879, 0.13953 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.42771, -0.31978, -0.36322 ) );
    
      glTexCoord2f ( 0.00000, 0.84496 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.44627, 0.31214, -1.19261 ) );
      glTexCoord2f ( 0.22819, 0.99225 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.48183, 0.33835, -0.91889 ) );
      glTexCoord2f ( 1.00000, 1.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.40549, 0.43533, -0.18317 ) );
    
      glTexCoord2f ( 1.00000, 0.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.48183, 0.33835, -0.91889 ) );
      glTexCoord2f ( 0.91304, 1.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.44627, 0.31214, -1.19261 ) );
      glTexCoord2f ( 0.00000, 0.89189 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.00078, 0.57430, -1.18156 ) );
    
      glTexCoord2f ( 0.00000, 0.89189 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.00078, 0.57430, -1.18156 ) );
      glTexCoord2f ( 0.00000, 0.56757 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.00039, 0.57734, -1.08667 ) );
      glTexCoord2f ( 1.00000, 0.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.48183, 0.33835, -0.91889 ) );
    
      glTexCoord2f ( 0.00000, 0.89189 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.00039, 0.57734, -1.08667 ) );
      glTexCoord2f ( 0.45652, 0.94595 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.00078, 0.57430, -1.18156 ) );
      glTexCoord2f ( 0.91304, 1.00000 );
      glNormal3fv ( Vec3( -0.99955, 0.02011, 0.02240 ) );
      glVertex3fv ( Vec3( -0.44535, 0.29329, -1.16707 ) );
    
      glTexCoord2f ( 0.91304, 1.00000 );
      glNormal3fv ( Vec3( -0.99955, 0.02011, 0.02240 ) );
      glVertex3fv ( Vec3( -0.44535, 0.29329, -1.16707 ) );
      glTexCoord2f ( 1.00000, 0.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( -0.48195, 0.35207, -0.92506 ) );
      glTexCoord2f ( 0.00000, 0.89189 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.00039, 0.57734, -1.08667 ) );
    
    glEnd();

    setMaterial_2();
    glBegin ( GL_TRIANGLES );
      glTexCoord2f ( 0.00000, 0.84496 );
      glNormal3fv ( Vec3( -0.99955, 0.02011, 0.02240 ) );
      glVertex3fv ( Vec3( -0.44535, 0.29329, -1.16707 ) );
      glTexCoord2f ( 0.28188, 0.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( -0.42332, -0.42617, -0.89706 ) );
      glTexCoord2f ( 0.81879, 0.13953 );
      glNormal3fv ( Vec3( -0.99953, 0.01992, 0.02325 ) );
      glVertex3fv ( Vec3( -0.43116, -0.33080, -0.33968 ) );
    
    setMaterial_0();
      glTexCoord2f ( 1.00000, 1.00000 );
      glNormal3fv ( Vec3( -0.99955, 0.02011, 0.02240 ) );
      glVertex3fv ( Vec3( -0.41206, 0.42676, -0.16761 ) );
      glTexCoord2f ( 0.22819, 0.99225 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( -0.48195, 0.35207, -0.92506 ) );
      glTexCoord2f ( 0.00000, 0.84496 );
      glNormal3fv ( Vec3( -0.99955, 0.02011, 0.02240 ) );
      glVertex3fv ( Vec3( -0.44535, 0.29329, -1.16707 ) );
    
    glEnd();

    setMaterial_2();
    glBegin ( GL_TRIANGLES );
      glTexCoord2f ( 0.00000, 0.31609 );
      glNormal3fv ( Vec3( -0.99953, 0.01992, 0.02325 ) );
      glVertex3fv ( Vec3( -0.43116, -0.33080, -0.33968 ) );
      glTexCoord2f ( 0.79825, 0.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( -0.40286, -0.68793, 0.84954 ) );
      glTexCoord2f ( 1.00000, 1.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( -0.59404, 0.47250, 1.15029 ) );
    
      glTexCoord2f ( 1.00000, 1.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( -0.59404, 0.47250, 1.15029 ) );
      glTexCoord2f ( 0.13158, 0.96552 );
      glNormal3fv ( Vec3( -0.99955, 0.02011, 0.02240 ) );
      glVertex3fv ( Vec3( -0.41206, 0.42676, -0.16761 ) );
      glTexCoord2f ( 0.00000, 0.31609 );
      glNormal3fv ( Vec3( -0.99953, 0.01992, 0.02325 ) );
      glVertex3fv ( Vec3( -0.43116, -0.33080, -0.33968 ) );
    
    setMaterial_0();
      glTexCoord2f ( 0.16588, 0.00405 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( -0.42332, -0.42617, -0.89706 ) );
      glTexCoord2f ( 0.00000, 0.85020 );
      glNormal3fv ( Vec3( -0.99955, 0.02011, 0.02240 ) );
      glVertex3fv ( Vec3( -0.44535, 0.29329, -1.16707 ) );
      glTexCoord2f ( 0.49763, 1.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.00078, 0.57430, -1.18156 ) );
    
      glTexCoord2f ( 0.49763, 1.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.00078, 0.57430, -1.18156 ) );
      glTexCoord2f ( 0.83412, 0.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.42940, -0.42496, -0.90950 ) );
      glTexCoord2f ( 0.16588, 0.00405 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( -0.42332, -0.42617, -0.89706 ) );
    
      glTexCoord2f ( 0.49763, 1.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.00078, 0.57430, -1.18156 ) );
      glTexCoord2f ( 1.00000, 0.85425 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.44627, 0.31214, -1.19261 ) );
      glTexCoord2f ( 0.83412, 0.00000 );
      glNormal3fv ( Vec3( -0.99958, 0.02049, 0.02071 ) );
      glVertex3fv ( Vec3( 0.42940, -0.42496, -0.90950 ) );
    
    glEnd();
    glPopMatrix();

  }
};

} // namespace CS148
